%bcond_with bootstrap

Name:           maven-antrun-plugin
Version:        3.1.0
Release:        %mkrel 4
Group:          Development/Java

Summary:        Maven AntRun Plugin
License:        ASL 2.0
URL:            https://maven.apache.org/plugins/maven-antrun-plugin/
BuildArch:      noarch

Source0:        https://repo1.maven.org/maven2/org/apache/maven/plugins/%{name}/%{version}/%{name}-%{version}-source-release.zip

%if %{with bootstrap}
BuildRequires:  javapackages-bootstrap
%else
BuildRequires:  maven-local
BuildRequires:  mvn(org.apache.ant:ant)
BuildRequires:  mvn(org.apache.maven.plugin-tools:maven-plugin-annotations)
BuildRequires:  mvn(org.apache.maven.plugins:maven-plugin-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-plugins:pom:)
BuildRequires:  mvn(org.apache.maven:maven-artifact)
BuildRequires:  mvn(org.apache.maven:maven-core)
BuildRequires:  mvn(org.apache.maven:maven-plugin-api)
BuildRequires:  mvn(org.codehaus.modello:modello-maven-plugin)
BuildRequires:  mvn(org.codehaus.plexus:plexus-utils)
BuildRequires:  mvn(org.junit.jupiter:junit-jupiter-engine)
BuildRequires:  mvn(org.xmlunit:xmlunit-core)
BuildRequires:  mvn(org.xmlunit:xmlunit-matchers)
%endif
# TODO Remove in Fedora 46
Obsoletes:      %{name}-javadoc < 3.1.0-23

%description
This plugin provides the ability to run Ant tasks from within Maven.
It is even possible to embed Ant scripts in the POM.

%prep
%autosetup -p1

%build
%mvn_build -j -- -Dmaven.compiler.release=11

%install
%mvn_install

%files -f .mfiles
%license LICENSE NOTICE



%changelog
* Sun Jun 29 2025 daviddavid <daviddavid> 3.1.0-4.mga10
+ Revision: 2225715
- Remove javadoc subpackage
+ umeabot <umeabot>
- Mageia 10 Mass Rebuild

* Wed May 22 2024 ns80 <ns80> 3.1.0-3.mga10
+ Revision: 2065934
- rebuild for java 21

* Mon Jul 25 2022 neoclust <neoclust> 3.1.0-2.mga9
+ Revision: 1871477
- Disable bootstrap

* Sun Jul 24 2022 neoclust <neoclust> 3.1.0-1.mga9
+ Revision: 1870609
- New version 3.1.0
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Thu Sep 03 2020 daviddavid <daviddavid> 1.8-10.mga8
+ Revision: 1621315
- rebuild again against current ant

* Fri Aug 28 2020 neoclust <neoclust> 1.8-9.mga8
+ Revision: 1619373
- Rebuild against new ant

* Wed Aug 19 2020 neoclust <neoclust> 1.8-8.mga8
+ Revision: 1615871
- Rebuild against java11

* Tue Feb 11 2020 umeabot <umeabot> 1.8-7.mga8
+ Revision: 1490925
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 1.8-6.mga7
+ Revision: 1262693
- Mageia 7 Mass Rebuild

* Mon May 15 2017 neoclust <neoclust> 1.8-5.mga6
+ Revision: 1101371
- Rebuild maven-* packages
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 1.8-3.mga6
+ Revision: 977283
- First rebuild of the java stack
- sync package maven-antrun-plugin with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Wed Dec 31 2014 pterjan <pterjan> 1.7-7.mga5
+ Revision: 807822
- Update BuildRequires

* Wed Oct 15 2014 umeabot <umeabot> 1.7-6.mga5
+ Revision: 747054
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Mon Nov 04 2013 umeabot <umeabot> 1.7-4.mga4
+ Revision: 549410
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.7-3.mga3
+ Revision: 359577
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 06 2012 dmorgan <dmorgan> 1.7-2.mga2
+ Revision: 192140
- Remove useless %%post/%%postun
+ gil <gil>
- update to 1.7

* Wed Jul 20 2011 dmorgan <dmorgan> 1.6-5.mga2
+ Revision: 127239
- Fix file list
- Build with maven 3.x.

* Thu Apr 28 2011 dmorgan <dmorgan> 1.6-4.mga1
+ Revision: 92686
- Rebuild after bootstrapping
- imported package maven-antrun-plugin


* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jan 10 2011 Alexander Kurtakov <akurtako@redhat.com> 1.6-2
- Make it work with ant 1.8.2.

* Thu Oct 14 2010 Alexander Kurtakov <akurtako@redhat.com> 1.6-1
- Update to 1.6.

* Mon Sep 20 2010 Alexander Kurtakov <akurtako@redhat.com> 1.5-1
- Update to 1.5.
- Use upstream tarball.
- Add License and readme as doc.

* Tue Aug 31 2010 Alexander Kurtakov <akurtako@redhat.com> 1.4-4
- Fix runtime issue of not finding ant-launcher.

* Tue Aug 31 2010 Alexander Kurtakov <akurtako@redhat.com> 1.4-3
- Add patch to fix build.

* Fri May 28 2010 Alexander Kurtakov <akurtako@redhat.com> 1.4-2
- Add provides/obsoletes.

* Thu May 27 2010 Alexander Kurtakov <akurtako@redhat.com> 1.4-1
- Initial package.
